<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 135 $
 * $Author: PragmaMx $
 * $Date: 2021-05-25 18:15:57 +0200 (Di, 25. Mai 2021) $
 */

defined('mxMainFileLoaded') or die('access denied');
global $doc, $doc_cfg;
/* der passende Modulname */
$module_name = basename(dirname(dirname(__FILE__)));

if (!mxModuleAllowed($module_name)) {
    /* Block darf nicht gecached werden und weg... */
    $mxblockcache = false;
    return;
}

/* --- Book-Klasse laden ------- */
$bookmodule = $module_name;
$doc_cfg = array();
$doc = load_class('Book', $bookmodule);
$doc->module_name = $bookmodule;
$doc->modulename = $bookmodule;

$doc_cfg = $doc->getConfig();
$doc->logging = $doc_cfg['logging'];
$doc->insertfirst = $doc_cfg['insertfirst'];
$cat=$doc;
/* ----------------------------- */


/* --------- Konfiguration fuer den Block ----------------------------------- */
// anzahl der Artikel mit Einleitung
$preview = $doc_cfg['sp_preview'];
// Anzahl SPalten
$xtabs = $doc_cfg['sp_tabscount'];
// Anzahl Artikel gesamt
$newscount = $doc_cfg['sp_changescount'];
// max. ausdehnung Thumbnails
$thumbwidth = $doc_cfg['sp_imgsize'];

// Kategorie anzeigen
$viewcat = $doc_cfg['sp_cattext'];
// Artikel kürzen ?
$cut_content = $doc_cfg['sp_cuttext'];
// Autor anzeigen
$viewauthor = $doc_cfg['sp_viewcreator'];

/* --------- Ende der Konfiguration ----------------------------------------- */

//$rootid=$cat->getModulRootID();
$news = $cat->getRecords_StartPage();
//mxDebugFuncVars($rootid,$news);
if ($news === false) {
    // add by Andi: Fehlermeldung vermeiden, falls keine Datensätze vorhanden
    $mxblockcache = false;
    return;
}
$newscount1 = count($news);
$doc_cfg['sp_cutlen'] = ($doc_cfg['sp_cutlen'] == 0)?100:$doc_cfg['sp_cutlen'];

if ($newscount1 > 0) {
    
    $content .= "<div class=\"mainpage\">";
    $i = 0;
	$width = ($newscount > 1)?intval((100 - $xtabs) / $xtabs)-1:99;
	$styleclassname=" dsp".intval(100/$xtabs);

    foreach ($news as $cats) {

	$width = ($newscount > 1)?intval((100 - $xtabs) / $xtabs)-1:99;
	$styleclassname=" dsp".intval(100/$xtabs);	
        $book = $cat->getBookRoot($cats['id']);


        $bookstitle = $book['title'];
        //if ($book['parent_id'] == $rootid) continue;

        $node['attachments'] = unserialize($cats['attachment']);
        if (!is_array($node['attachments']))$node['attachments'] = array();

        $node['attachment'] = array();
        $nodemedia = "";
        $fnr = 0;

        $attachments = (is_array($node['attachments']))?$node['attachments']:array();
        $attcount = count($attachments);
        if ($attcount) {
            foreach ($attachments as $file) {
                switch (strtolower($file['type'])) {
                    case "image/png":
                    case "image/jpg":
                    case "image/jpeg":
                    case "image/gif":
                        // $nodemedia=content_getAttachmentLink("temp",$file);
                        $nodemedia = "<a href=\"modules.php?name=$module_name&amp;act=page&amp;id=" . $cats['id'] . "\"
                                        title=\"" . $file['name'] . "\" ><img src=\"" . $file['filename'] . "\" alt=\"" . $file['name'] . "\"
                                        style=\"max-width:" . $thumbwidth . "px;max-height:" . $thumbwidth . "px;\" />" . "</a>";
                        break 2;
                        break;
                }
            }
        }
	$classext=" startblocklistarticle";
        if ($nodemedia) $nodemedia = "<span style=\"float:left;padding:5px;border:none;\">" . $nodemedia . "</span>";
        if ($i < $preview) {
		$width = 99;
		$classext=" startblockmainarticle";
		$styleclassname=" dsp100";
	}
		//pmxHeader::add_style_code("@media all and (min-width: 50em) { .dsp".$i." {order:".$i."; flex-basis:".$width."%;display: inline-block;} }");
		$content .= "";
        	$content .= "<div id=\"dsp".$i."\" class=\"dsp".$i." blockcontent ".$classext.$styleclassname."\" >";
		$content .= "<p class=\"tiny\">";
        if ($viewcat) {
            $content .= "<a href=\"modules.php?name=$module_name&amp;act=page&amp;id=" . $book['id'] . "\">" . $bookstitle . "</a>";
           // $content .= "<p class=\"tiny\">" . $bookstitle . "";
		}
       if ($viewauthor) { 
			$content .= "<span class=\"blogstory-info\" style=\"float:right;\">" . _DOCS_CREATED . " " . _FROM . " : " . $cats['owner_name'] . " "
             . mx_strftime(_XDATESTRING, $cats['date_created']) . "</span>";
        }
		$content .= "</p>";
        $content .= "<h4><a href=\"modules.php?name=$module_name&amp;act=page&amp;id=" . $cats['id'] . "\">" . $cats['title'] . "</a></h4>";
        //if ($viewtitle) $content .= "<h4>" . $cats['title'] . "</h4>";
        $content .= "<p class=\"postcontent more\" style=\"text-align:justify;\">" . $nodemedia;
        $content .= ($cut_content==0)?pmx_cutString($cats['text1'], $doc_cfg['sp_cutlen'], "modules.php?name=" . $module_name . "&amp;act=page&amp;id=" . $cats['id'] ):$cats['text1'];
        $content .= "</p></div>";
        $i++;
        if ($i==$newscount) break;
    }

    $content .= "</div>";//"</div>";
    // $content .= "<div class=\"block align-center\"><a class=\"button\" title=\"" . _DOCS_READMORE . "\" href=\"modules.php?name=" . $module_name . "\" >" . _DOCS_READMORE . "</a></div>";
	pmxHeader::add_style("modules/".$module_name."/style/blocks-flex.css");
}

?>
